﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDGTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        void DRP_MouseRightButtonDown(object sender, MouseButtonEventArgs e)
        {
            DataRecordPresenter DRP = sender as DataRecordPresenter;
            if (DRP.Record != null)
            {
                foreach (DataRecord DR in DRP.DataPresenter.SelectedItems.Records)
                {
                    DR.IsSelected = false;
                }

                //ANOTHER THING YOU COULD USE...
                //DRP.DataPresenter.SelectedItems.Records.Clear();
                DRP.DataPresenter.SelectedItems.Records.Add(DRP.Record);
                DRP.Record.IsActive = true;
            }
        }
    }
}
